# Interface TokenBridgeNativeRedeemerDerivedAccounts

#### Hierarchy

- TokenBridgeBaseNativeDerivedAccounts
- TokenBridgeBaseRedeemerDerivedAccounts
  - TokenBridgeNativeRedeemerDerivedAccounts
    - TokenBridgeDerivedAccounts
    - CompleteTransferNativeWithPayloadCpiAccounts
    - CompleteTransferNativeWithPayloadCpiAccounts
    - TokenBridgeDerivedAccounts

- Defined in platforms/solana/protocols/tokenBridge/src/utils/tokenBridge/cpi.ts:85

#####
Index

### Properties

tokenBridgeConfig
tokenBridgeCustodySigner
tokenBridgeRedeemer

## Properties

### tokenBridgeConfig

tokenBridgeConfig: PublicKey

seeds = ["config"], seeds::program = tokenBridgeProgram

Inherited from TokenBridgeBaseRedeemerDerivedAccounts.tokenBridgeConfig

- Defined in platforms/solana/protocols/tokenBridge/src/utils/tokenBridge/cpi.ts:31

### tokenBridgeCustodySigner

tokenBridgeCustodySigner: PublicKey

seeds = ["custody_signer"], seeds::program = tokenBridgeProgram

Inherited from TokenBridgeBaseNativeDerivedAccounts.tokenBridgeCustodySigner

- Defined in platforms/solana/protocols/tokenBridge/src/utils/tokenBridge/cpi.ts:39

### tokenBridgeRedeemer

tokenBridgeRedeemer: PublicKey

seeds = ["redeemer"], seeds::program = cpiProgramId

Inherited from TokenBridgeBaseRedeemerDerivedAccounts.tokenBridgeRedeemer

- Defined in platforms/solana/protocols/tokenBridge/src/utils/tokenBridge/cpi.ts:82

Generated using TypeDoc